# README
# Media Orange Logic (1.x)

## Installation

Module dependencies contain some patches. Thus install via composer only.

## Configuration

First provide credentials for API endpoint.
**/admin/config/media/media-orange-logic**

### Entity Browser

- Add Entity Reference field for type media to your content type.
- Manage Form Display: 
  select _Entity Browser_ widget here, select _OrangeLogicMediaBrowser_ entity browser.
- You can add a field of the type _Orange Logic_ to your media type.
  The whole image data retrieved from the DAM resource will be stored there.

#### ToDo:
 - Now all media types are being searched, even those which are not allowed in field settings.
 - Autofill of extra fields in media entity (alt-text etc.) is not supported yet.

### Media Library

- Enable _Orange Logic Media Library_ submodule.
- Add Entity Reference field for type media to your content type.
- Manage Form Display: select _Media Library_ widget here.
- Add a media library pane with a mapping here 
**/admin/config/media/media-library/pane**
  Mapping is used to fill extra fields of media entity (not supported by entity browser widget)
- Try to add media to your node via media library using created pane.

#### ToDo

- Only images are supported by Media Library Orange Logic widget. 
  Audio/Video is not supported yet.

### Notes

- This module is now under development. Very big part of the features is still raw.